Subject: bug#1100: 23.0.60;variable-pitch face corruption when Helvetica Type 1 font installed

From: "Drew Adams" <[email-masked]>
Date: Mon, 6 Oct 2008 09:02:36 -0700

> From: [email-masked] Sent: Monday, October 06, 2008 2:15 AM
> 
> When I installed a CVS build of Emacs for Windows 32 I found that the
> splash screen had corrupted fonts. Further investigation revealed that
> removing the Helvetica Type 1 PostScript font from my font 
> folder made the
> issue go away (presumably because it has fallen through to Arial).
> 
> Screenshot when Helvetica installed:
> 
> http://www.muppetlabs.pwp.blueyonder.co.uk/emacs/emacs_corrupted.png
> 
> Screenshot when Helvetica not installed:
> 
> http://www.muppetlabs.pwp.blueyonder.co.uk/emacs/emacs_not_cor
> rupted.png
> 
> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>  of 2008-09-27 on LENNART-69DE564
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --no-opt --cflags
> -Ic:/g/include -fno-crossjumping'

Sounds like this might well be the same issue as bug #642. I too have Helvetical
Type 1 PostScript installed. Bravo for narrowing this down.